;
;  fatbits.pat for NDO 2.5
;
;  by Marcus Groeber 03-APR-1996
;  modified for New Deal Office by John C. Lusth 24-OCT-1996
;  USE AT YOUR OWN RISK!
;
;  This patch describes how to modify the bitmap.geo library to increase
;  the size of the Pixel View window used by GeoDraw etc. for showing a
;  magnified image of a bitmap object.
;
;  If you want to adapt the program to other versions of Geos or use
;  different window sizes, here's how to interpret the size strings:
;  The parts marked with "xxxx" and "yyyy", respectively give the
;  width and height of the pixel window in screen pixels. They are
;  related to the number of "fat" bitmap pixels as follows:
;
;          xxxx = (horizontal_number_of_pixels * 8) - 1
;          yyyy = (vertical_number_of_pixels * 8) - 1
;
;  remembering that xxxx/yyyy must be stored as hexadecimal numbers in
;  low/high byte order.
;

; *** BITMAP.GEO for New Deal Office 2.5
; changes pixel view from 30*20 to 60*40 pixels.
FILE BITMAP.GEO

; check for old window sizes being in the right place
;            xxxxyyyy
VER 00005C4D EF009F00
VER 00005C9C EF009F00
VER 00005D18 EF009F00

; replace by new window sizes
;            xxxxyyyy
CHA 00005C4D DF013F01
CHA 00005C9C DF013F01
CHA 00005D18 DF013F01
